summaryrefslogtreecommitdiff
path: root/test/Makefile
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2015-06-07 16:12:18 +0300
committerAndrei Karas <akaras@inbox.ru>2015-06-07 16:12:18 +0300
commitdf42a8f08e2c496b1359a0e13cb2ba892a4f6d2d (patch)
treebebc89be03ed9466f592aa5c3c4a497c0999885a /test/Makefile
parenta3ccfd8ea8814b809856ca5ac8799775c25eff49 (diff)
downloadparanucker-df42a8f08e2c496b1359a0e13cb2ba892a4f6d2d.tar.gz
paranucker-df42a8f08e2c496b1359a0e13cb2ba892a4f6d2d.tar.bz2
paranucker-df42a8f08e2c496b1359a0e13cb2ba892a4f6d2d.tar.xz
paranucker-df42a8f08e2c496b1359a0e13cb2ba892a4f6d2d.zip
Move tests invoke into separate make file.
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/Makefile b/test/Makefile
new file mode 100644
index 0000000..87da8a7
--- /dev/null
+++ b/test/Makefile
@@ -0,0 +1,16 @@
+.PHONY: test1 all clean
+.NOTPARALLEL: all
+
+CC := gcc-5
+CXX := g++-5
+
+PLUGIN = ../build/src/.libs/astdumper.so
+CMD = ${CXX} -fplugin=${PLUGIN} -fplugin-arg-astdumper-command=${1} ${2} 2>../${3}
+
+all: test1 clean
+
+clean:
+ @rm a.out 2>/dev/null || true
+
+test1:
+ $(call CMD,dump,test1.c,test.txt)